Nights
GET
/v1/nightsNights spent in tourist accommodation, total and split by residents and non-residents where published.
Developer plan and upKey requiredJSON or CSVCached until the next release
Parameters
| Name | Type | Description |
|---|---|---|
| countryoptional | string query | One or more ISO codes, comma separated e.g. CL,BA,AT |
| freqoptional | M | Q | A query | Frequency: monthly, quarterly or annual e.g. M |
| fromoptional | period query | First period to return e.g. 2025-01 |
| tooptional | period query | Last period to return e.g. 2026-08 |
| formatoptional | json | csv query | Response format e.g. json |
Request
# Overnight stays in all accommodation
curl "https://api.tourismapi.com/v1/nights?country=CL,BA,AT&from=2025-01&to=2026-08" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/nights?country=CL,BA,AT&from=2025-01&to=2026-08", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/nights?country=CL,BA,AT&from=2025-01&to=2026-08",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/nights?country=CL,BA,AT&from=2025-01&to=2026-08");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_9f83727052",
"data_as_of": "2026-10-20T04:48:00Z",
"count": 3,
"measure": "nights"
},
"data": [
{
"country": "CL",
"series": "sr_ay31rkhs",
"name": "CHL, TRIPS, PS, OVERNIGHT, _T, TDS, A",
"unit": "PS",
"freq": "A",
"observations": []
},
{
"country": "BA",
"series": "sr_226y4v9p",
"name": "Tourist nights in Bosnia and Herzegovina: total",
"unit": "nights",
"freq": "M",
"observations": [
{
"period": "2026-06",
"value": 388414
},
{
"period": "2026-07",
"value": 510876
},
{
"period": "2026-08",
"value": 560221
}
]
},
{
"country": "AT",
"series": "sr_09pbgpx5",
"name": "Nights, Carinthia <AT21>, Netherlands <25>",
"unit": "nights",
"freq": "M",
"observations": [
{
"period": "2026-06",
"value": 86625
},
{
"period": "2026-07",
"value": 304633
},
{
"period": "2026-08",
"value": 273538
}
]
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| country | string | CL |
| series | string | sr_ay31rkhs |
| name | string | CHL, TRIPS, PS, OVERNIGHT, _T, TDS, A |
| unit | string | PS |
| freq | string | A |
| observations | array | 0 items |